> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get certificate details



## OpenAPI

````yaml /machines-api/openapi.json get /v1/apps/{app_name}/certificates/{hostname}
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/apps/{app_name}/certificates/{hostname}:
    get:
      tags:
        - TLS Certificates
      summary: Get certificate details
      operationId: App_Certificates_show
      parameters:
        - name: app_name
          in: path
          description: Fly App Name
          required: true
          schema:
            type: string
        - name: hostname
          in: path
          description: Certificate Hostname
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificateDetail'
components:
  schemas:
    CertificateDetail:
      type: object
      properties:
        acme_requested:
          type: boolean
        certificates:
          type: array
          items:
            $ref: '#/components/schemas/CertificateEntry'
        configured:
          type: boolean
        dns_provider:
          type: string
        dns_requirements:
          $ref: '#/components/schemas/DNSRequirements'
        hostname:
          type: string
        rate_limited_until:
          type: string
        status:
          type: string
        validation:
          $ref: '#/components/schemas/CertificateValidation'
        validation_errors:
          type: array
          items:
            $ref: '#/components/schemas/CertificateValidationError'
    CertificateEntry:
      type: object
      properties:
        created_at:
          type: string
        expires_at:
          type: string
        issued:
          type: array
          items:
            $ref: '#/components/schemas/IssuedCertificate'
        issuer:
          type: string
        source:
          type: string
          enum:
            - custom
            - fly
        status:
          type: string
          enum:
            - active
            - pending_ownership
            - pending_validation
    DNSRequirements:
      type: object
      properties:
        a:
          type: array
          items:
            type: string
        aaaa:
          type: array
          items:
            type: string
        acme_challenge:
          $ref: '#/components/schemas/AcmeChallenge'
        cname:
          type: string
        ownership:
          $ref: '#/components/schemas/OwnershipVerification'
    CertificateValidation:
      type: object
      properties:
        alpn_configured:
          type: boolean
        dns_configured:
          type: boolean
        http_configured:
          type: boolean
        ownership_txt_configured:
          type: boolean
    CertificateValidationError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        timestamp:
          type: string
    IssuedCertificate:
      type: object
      properties:
        certificate_authority:
          type: string
        expires_at:
          type: string
        type:
          type: string
          enum:
            - rsa
            - ecdsa
    AcmeChallenge:
      type: object
      properties:
        name:
          type: string
        target:
          type: string
    OwnershipVerification:
      type: object
      properties:
        app_value:
          type: string
        name:
          type: string
        org_value:
          type: string

````